Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Class TransactionInProgressException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  javax.jms.TransactionInProgressException

All Implemented Interfaces:
  java.io.Serializable

    public class TransactionInProgressException

extends JMSException

This exception is thrown when an operation is invalid because a transaction is in progress. For instance, an attempt to call `Session.commit` when a session is part of a distributed transaction should throw a `TransactionInProgressException`.

See Also:
  Serialized Form

Constructor Summary
`TransactionInProgressException(java.lang.String reason)` Constructs a `TransactionInProgressException` with the specified reason.
`TransactionInProgressException(java.lang.String reason, java.lang.String errorCode)` Constructs a `TransactionInProgressException` with the specified reason and error code.

Method Summary

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionInProgressException

    public TransactionInProgressException(java.lang.String reason,
                                          java.lang.String errorCode)

  Constructs a `TransactionInProgressException` with the specified reason and error code.

  Parameters:
    `reason` - a description of the exception
    `errorCode` - a string specifying the vendor-specific error code

### TransactionInProgressException

    public TransactionInProgressException(java.lang.String reason)

  Constructs a `TransactionInProgressException` with the specified reason. The error code defaults to null.

  Parameters:
    `reason` - a description of the exception

Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD